<!DOCTYPE html>
<html>
  <head>
    <title>Hexy Mappish Arrayable Thinger POC</title>
    <style>
      body {
        font-family: sans-serif;
        background-color: #fff;
        margin: 0;
        padding: 0;
      }
      #world {
        position: absolute;
        margin: auto;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
      }
      .panel {
        position: absolute;
        margin: auto;
        right: 1em;
        top: 1em;
        bottom: 1em;
        width: 15%;
        color: #fff;
        background-color: rgba(100, 100, 100, .7);
        border: 1px solid #333;
        padding: 1em;
        border-radius: .5em;
      }
      .key {
        display: table;
        border-spacing: .5em;
      }
      .key .chip {
        display: table-cell;
        width: 2em;
        border: 1px solid #000;
      }
      .key .value {
        display: table-cell;
      }
    </style>
  </head>
  <body>
    <canvas id='world' width="800" height="600"></canvas>
    <div class="panel">
      <h3>Hexy Mappish Arrayable Thinger POC</h3>
      <div class="key">
        <div class="chip" style="background-color:#9ca;"></div>
        <div class="value">normal cell, not selected</div>
      </div>
      <div class="key">
        <div class="chip" style="background-color:#fca;"></div>
        <div class="value">focus consideration, checked</div>
      </div>
      <div class="key">
        <div class="chip" style="background-color:#bca;"></div>
        <div class="value">focus consideration, not checked</div>
      </div>
      <div class="key">
        <div class="chip" style="background-color:#def;"></div>
        <div class="value">focussed, not selected</div>
      </div>
      <div class="key">
        <div class="chip" style="background-color:#69c;"></div>
        <div class="value">related to focus</div>
      </div>
      <div class="key">
        <div class="chip" style="background-color:#123;"></div>
        <div class="value">selected cell, see console output</div>
      </div>
      <hr />
      <p>
        Hover over and click on items in the grid watch developer tools console
        output for selection details.
      </p>
      <p>
        Selection code needs work. The whole project could be made cleaner. This is a
        quick and dirty proof of concept for hexagonal tile placement and interaction.
      </p>
    </div>
    <script type="text/javascript" src="/bundle.js"></script>
  </body>
</html>
